/**
 * The contents of this file are subject to the license and copyright detailed in the LICENSE and NOTICE files at the root of the source tree and available online at
 * http://www.askosi.org/license.html
 */
package be.destin.skos.search;

/**
 * @author Christophe Dupriez
 *
 */
public enum LabelMatchType {
	EXACT,
	STARTS_WITH, 
	ANYWHERE, 
	INDEPENDANT_PIECES, 
	EVERYTHING, 
	SINGULAR_WORDS,
	SINGULAR_SENTENCES;

	public static String list() {
		StringBuffer result = new StringBuffer();
		LabelMatchType[] types = LabelMatchType.values();
		for (int i=0; i<types.length; i++) {
			LabelMatchType aType = types[i];
			result.append(aType.toString());
			if ( (i+1) < types.length) result.append(", ");
		}
		return result.toString();
	}
}
