/**
 * The contents of this file are subject to the license and copyright detailed in the LICENSE and NOTICE files at the root of the source tree and available online at
 * http://www.askosi.org/license.html
 */
package be.destin.skos.core;

import javax.xml.bind.annotation.XmlEnum;

/**
 * @author Christophe Dupriez
 *
 */
@XmlEnum(String.class)
public enum MetadataPropertyClass {
	CODE,
	URI,
	NAME,
	TEXT,
	NUMBER,
	DATE,
	EMAIL;

	public static String list() {
		StringBuffer result = new StringBuffer();
		MetadataPropertyClass[] types = MetadataPropertyClass.values();
		for (int i=0; i<types.length; i++) {
			MetadataPropertyClass aType = types[i];
			result.append(aType.toString());
			if ( (i+1) < types.length) result.append(", ");
		}
		return result.toString();
	}
}