/**
 * The contents of this file are subject to the license and copyright detailed in the LICENSE and NOTICE files at the root of the source tree and available online at
 * http://www.askosi.org/license.html
 */
package be.destin.skos.core;

/**
 * @author Christophe Dupriez
 *
 */
public enum SchemeFactoryType {
	SQL, DYNSQL, SPARQL, DYNSPARQL, OWL, XML, RDF, SKOS, TAB, ENUM, FILES, BUNDLE, SELECTION, METASCHEME;
	
	public static String list() {
		StringBuffer result = new StringBuffer();
		SchemeFactoryType[] types = SchemeFactoryType.values();
		for (int i=0; i<types.length; i++) {
			SchemeFactoryType aType = types[i];
			result.append(aType.toString());
			if ( (i+1) < types.length) result.append(", ");
		}
		return result.toString();
	}
}
