﻿<%@page contentType="text/html;charset=UTF-8" %><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN" "http://www.w3.org/TR/html4/frameset.dtd">
<%@page import="java.text.NumberFormat" %>
<%@page import="be.destin.skos.core.SkosManager" %>
<%@page import="be.destin.skos.html.SkosHtmlManager" %>
<%@page import="be.destin.skos.html.LocalError" %>
<%@page import="be.destin.skos.core.SchemeInterface" %>
<%@page import="be.destin.skos.core.NotationScheme" %>
<%@page import="be.destin.skos.core.SchemeUsage" %>
<%@page import="be.destin.skos.core.ConceptScheme" %>
<%@page import="be.destin.skos.core.Term" %>
<%@page import="be.destin.skos.core.ReferringApplication" %>
<%@page import="be.destin.skos.core.Count" %>
<%@page import="be.destin.skos.core.Concept" %>
<%@page import="be.destin.skos.search.SkosSearch" %>
<%@page import="be.destin.skos.search.SearchResult" %>
<%@page import="be.destin.util.Util" %>
<%@page import="java.util.Collection" %>
<%@page import="java.util.ArrayList" %>
<%@page import="java.util.Map" %>
<%@page import="java.util.Map.Entry" %>
<%@page import="java.util.LinkedList" %>
<%@page import="java.util.TreeSet" %>
<%@page import="java.util.TreeMap" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@taglib uri="http://ajaxtags.org/tags/ajax" prefix="ajax" %>
<%	 
   SkosHtmlManager skosHtmlManager = SkosHtmlManager.getAskosiSessionInstance(request);
   SkosManager skosManager = skosHtmlManager.getSkosManager();
   String language = skosHtmlManager.getLanguage();
   String submit = request.getParameter("submit");
   if (submit == null) submit = "EXPAND";
   String independant = request.getParameter("independant");
   String framing = request.getParameter("framed");
   boolean framed = framing != null && framing.equalsIgnoreCase("yes");
   if (independant != null && independant.equalsIgnoreCase("yes")) framed = false;
   String toexpand = request.getParameter("toexpand");
   if (toexpand == null) toexpand = "";
   LinkedList<String> sentences = null;
%>
<html>
<head>
<title>Expand SKOS concepts references from a text, using concept schemes defined by <%=skosManager.getConfigDirectory()%></title>
<link rel="shortcut icon" href="image/tulipevertepetite.png" >
<link rel="stylesheet" type="text/css" href="<%=request.getContextPath()%>/css/askosi.css" />
<link rel="stylesheet" type="text/css" href="<%=request.getContextPath()%>/css/ajaxtags.css" />
    <!-- Developed and tested using jQuery 1.3.2 -->
    <script type="text/javascript" src="js/jquery.js"></script>
    <script type="text/javascript" src="js/sessvars.js"></script>
    <script type="text/javascript" src="js/tablescroll.js"></script>
    <script type="text/javascript">
		sessvars.contextPath = "<%= request.getContextPath() %>";
		headerHeight=100;
		footerHeight=50;
	</script>
<style type="text/css">
 div#header{
  position:fixed;
  top:0px;
  left:0;
  width:100%;
  height:100px;
  background-color:#e0e0ff;
  border-bottom: solid 1px black;
 }
 div#footer{
  position:fixed;
  bottom:0px;
  left:0px;
  width:100%;
  height:50px;
  background-color:#e0e0ff;
  border-top: solid 1px black;
 }
</style>
</head>
<body class="contentpage">
<% if (framed) {
%><script language="JavaScript">
parent.parent.parent.parent.focusFrame(this);
</script><%
} else {%><div id="header">
<a href="tocstat.jsp" title="All Concept Schemes"><img align="left" src="image/askosilogo.jpg" height="100" border="0"/></a>
<%String pageID = "TOC";%><%@include file="basket.jnc"%>
<div style="margin:8px 3px 3px 3px;"><form action="search.jsp" method="GET" class="searchForm"><input type="hidden" name="scheme" value=""/><%--
	   --%><label for="leftTruncation" alt="Left Truncation"><b>*</b><input type="checkbox" name="leftTruncation" value="on" checked/></label><input type="text" name="query" size="30"/><b>*</b>&nbsp;<%--
   	   --%><label for="byPieces" alt="By Pieces"><b>by pieces:</b><input type="checkbox" name="byPieces" value="on"/></label><%--
	   --%><input type="image" src="image/search.png" name="Search" alt="Search"><%--
	--%></form></div>
  </div>
<%
}%>

<%if(!framed){%>
<div id="footer"><p style="margin:6px; padding:2px;"><span class="ToC">
 <a href="tocstat.jsp?sort=alfa">Alphabetical</a>
 or <a href="tocstat.jsp">Most Used Schemes <strong>Table of Content</strong></a>
as a <a href="tocstat.jsp?profile=guest">guest</a> or as a <a href="tocstat.jsp?profile=BIBLIO">BIBLIO</a></span>
<span class="ToC">
 <a href="analyze.jsp">Analyze</a>
</span>
</p><p style="margin:4px">Thesaurus navigation and maintenance, Indexation browsing are services developed in the <a href="http://www.askosi.org">ASKOSI</a> project.</p>
</div>
<%}%>

<div id="content">
<img src="image/carrevide.gif" height="100" border="0" alt="top margin"/><br style="clear:both"/>

<form method="POST" action="expand.jsp">
<textarea name="toexpand" rows=20 cols=100><%=(submit.equals("EXPAND")?skosManager.toStringScheme_Concept(toexpand,language,null,true):toexpand)%></textarea>
<p><input type="submit" name="submit" value="EXPAND"/></p>
</form>
